This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 179909 - /usr/include/bits/stdlib-ldbl.h:37: error: 'qecvt' undeclared here (not in a function)
/usr/include/bits/stdlib-ldbl.h:37: error: 'qecvt' undeclared here (not in a ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 15:02 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3.90-35
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 15:07:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-02-03 15:02:54 EST
Description of problem:

While trying to build ncarg on PPC devel:

gcc -ansi  -O  -I../../../.././include -I/usr/X11R6/include  -D_BSD_SOURCE 
-DSYSV -D_POSIX_SOURCE -D_XOPEN_SOURCE -DNeedFuncProto    -c -o rasview.o rasview.c
In file included from /usr/include/stdlib.h:972,
                 from rasdraw.c:40:
/usr/include/bits/stdlib-ldbl.h:37: error: 'qecvt' undeclared here (not in a
function)
/usr/include/bits/stdlib-ldbl.h:38: error: 'qfcvt' undeclared here (not in a
function)
/usr/include/bits/stdlib-ldbl.h:39: error: 'qgcvt' undeclared here (not in a
function)
/usr/include/bits/stdlib-ldbl.h:40: error: 'qecvt_r' undeclared here (not in a
function)
/usr/include/bits/stdlib-ldbl.h:41: error: 'qfcvt_r' undeclared here (not in a
function)

I don't have direct access to a Rawhide PPC machine, but rasview.c just does:

#include <stdio.h>
#include <stdlib.h>

so should be easy to check.

Version-Release number of selected component (if applicable):
2.3.90-34
Comment 1 Jakub Jelinek 2006-02-03 15:07:08 EST
Already fixed in glibc-2.3.90-35...

Note You need to log in before you can comment on or make changes to this bug.